<?php
defined('BASEPATH') OR exit('No direct script access allowed');


class Acertos_model extends CI_Model {

    public function __construct(){
        parent::__construct();
    }




    public function listar_acertos_admin($academia, $numdoc, $emissao, $vencimento, $status){
        $this->db->select('
            ctreceber.coddoc,
            ctreceber.numdoc,
            ctreceber.dataemis,
            ctreceber.idusuario,
            ctreceber.vrdoc,
            ctreceber.datavenc,
            ctreceber.vrdesc,
            ctreceber.vracresc,
            ctreceber.vrjuros,
            ctreceber.datapago,
            ctreceber.vrpago,
            ctreceber.situacao,
            usuarios.nome
            '
        );
        $this->db->from('ctreceber');
        $this->db->join('usuarios','usuarios.id = ctreceber.idusuario');

        if (!$numdoc == NULL) {
            $where = "numdoc LIKE '%".$numdoc."%'";
            $this->db->where($where);
        }
        if (!$academia == NULL) {
            $where = "nome LIKE '%".$academia."%'";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$emissao == NULL) {
            
            $emissao = explode(" - ", $emissao);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $emissao[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $emissao[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "dataemis BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$vencimento == NULL) {
            
            $vencimento = explode(" - ", $vencimento);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $vencimento[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $vencimento[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "datavenc BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        if (!$status == NULL) {
            if($status == 'quitado') {
                $this->db->where('situacao','Q');
            }elseif ($status == 'transito') {
                $this->db->where('situacao','T');
            }elseif ($status == 'aberto') {
                $this->db->where('situacao','A');
            }else {

            }
        }
        $this->db->order_by('ctreceber.coddoc','DESC');
        return $this->db->get('')->result();
    }


    public function listar_soma_acertos_admin($academia, $numdoc, $emissao, $vencimento, $status){
        $this->db->select('
            sum(ctreceber.vrdoc) as vrdoc
            '
        );
        $this->db->from('ctreceber');
        //$this->db->join('usuarios','usuarios.id = ctreceber.idusuario');

        if (!$numdoc == NULL) {
            $where = "numdoc LIKE '%".$numdoc."%'";
            $this->db->where($where);
        }
        if (!$academia == NULL) {
            $where = "nome LIKE '%".$academia."%'";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$emissao == NULL) {
            
            $emissao = explode(" - ", $emissao);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $emissao[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $emissao[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "dataemis BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$vencimento == NULL) {
            
            $vencimento = explode(" - ", $vencimento);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $vencimento[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $vencimento[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "datavenc BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        if (!$status == NULL) {
            if($status == 'quitado') {
                $this->db->where('situacao','Q');
            }elseif ($status == 'transito') {
                $this->db->where('situacao','T');
            }elseif ($status == 'aberto') {
                $this->db->where('situacao','A');
            }else {

            }
        }

        $this->db->order_by('ctreceber.coddoc','DESC');
        //$this->db->where('ctreceber.idusuario ='.$id_usuario);
        return $this->db->get('')->result();
    }




    //
    //
    // Frontend
    //
    //

    public function listar_acertos_usuario($id_usuario, $numdoc, $emissao, $vencimento, $status){
        $this->db->select('
            ctreceber.coddoc,
            ctreceber.numdoc,
            ctreceber.dataemis,
            ctreceber.idusuario,
            ctreceber.vrdoc,
            ctreceber.datavenc,
            ctreceber.vrdesc,
            ctreceber.vracresc,
            ctreceber.vrjuros,
            ctreceber.datapago,
            ctreceber.vrpago,
            ctreceber.situacao,
            usuarios.nome
            '
        );
        $this->db->from('ctreceber');
        $this->db->join('usuarios','usuarios.id = ctreceber.idusuario');
        $this->db->order_by('ctreceber.coddoc','DESC');
        $this->db->where('ctreceber.idusuario ='.$id_usuario);
        if (!$numdoc == NULL) {
            $where = "numdoc LIKE '%".$numdoc."%'";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$emissao == NULL) {
            
            $emissao = explode(" - ", $emissao);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $emissao[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $emissao[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "dataemis BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$vencimento == NULL) {
            
            $vencimento = explode(" - ", $vencimento);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $vencimento[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $vencimento[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "datavenc BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        if (!$status == NULL) {
            if($status == 'quitado') {
                $this->db->where('situacao','Q');
            }elseif ($status == 'transito') {
                $this->db->where('situacao','T');
            }elseif ($status == 'aberto') {
                $this->db->where('situacao','A');
            }else {

            }
        }
        return $this->db->get('')->result();
    }


    public function listar_soma_acertos_usuario($id_usuario, $numdoc, $emissao, $vencimento, $status){
        $this->db->select('
            sum(ctreceber.vrdoc) as vrdoc
            '
        );
        $this->db->from('ctreceber');
        $this->db->join('usuarios','usuarios.id = ctreceber.idusuario');
        $this->db->order_by('ctreceber.coddoc','DESC');
        $this->db->where('ctreceber.idusuario ='.$id_usuario);
        if (!$numdoc == NULL) {
            $where = "numdoc LIKE '%".$numdoc."%'";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$emissao == NULL) {
            
            $emissao = explode(" - ", $emissao);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $emissao[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $emissao[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "dataemis BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        //Verifico o periodo
        if (!$vencimento == NULL) {
            
            $vencimento = explode(" - ", $vencimento);
  
            //converto o formato da data de inicio
            $date = str_replace('/', '-', $vencimento[0] );
            $inicio = date("Y-m-d", strtotime($date));

            //converto o formato da data de fim
            $date = str_replace('/', '-', $vencimento[1] );
            $fim = date("Y-m-d", strtotime($date));

            $where = "datavenc BETWEEN '".$inicio."' AND '".$fim."' ";
            $this->db->where($where);
        }
        if (!$status == NULL) {
            if($status == 'quitado') {
                $this->db->where('situacao','Q');
            }elseif ($status == 'transito') {
                $this->db->where('situacao','T');
            }elseif ($status == 'aberto') {
                $this->db->where('situacao','A');
            }else {

            }
        }
        return $this->db->get('')->result();
    }

}


